Impossible to install latest 4.2.6 on Mac OS X

Discussions related to using VirtualBox on Mac OS X hosts.

Impossible to install latest 4.2.6 on Mac OS X

Postby JeromeC » 26. Dec 2012, 01:07

Hi

I downloaded twice the VirtualBox-4.2.6-82870-OSX.dmg file and run the install but it will fail at the end of the install (in the package validation step)

Dec 25 23:33:36 iMac-Famile-Cadet.local installd[83898]: PackageKit: Install Failed: Error Domain=PKInstallErrorDomain Code=112 "An error occurred while running scripts from the package “VirtualBox.pkg”." UserInfo=0x7fba7163d9b0 {NSFilePath=./postflight, NSURL=file://localhost/Volumes/VirtualBox/VirtualBox.pkg#VBoxKEXTs.pkg, PKInstallPackageIdentifier=org.virtualbox.pkg.vboxkexts, NSLocalizedDescription=An error occurred while running scripts from the package “VirtualBox.pkg”.} {
NSFilePath = "./postflight";
NSLocalizedDescription = "An error occurred while running scripts from the package \U201cVirtualBox.pkg\U201d.";
NSURL = "file://localhost/Volumes/VirtualBox/VirtualBox.pkg#VBoxKEXTs.pkg";
PKInstallPackageIdentifier = "org.virtualbox.pkg.vboxkexts";
}

It would also corrupt the install and I was forced to reinstall 4.2.4.

Any idea ?
JeromeC
 
Posts: 5
Joined: 26. Dec 2012, 01:02

Re: Impossible to install latest 4.2.6 on Mac OS X

Postby mac4ever » 27. Dec 2012, 16:24

I have a similar issue: VB can be installed flawless on my 2011 i5 Mac mini (2,3 GHz, 4 GB RAM), but the same installation ends with an error on my brandnew 2012 i7 Mac mini (2,6 GHz, 16 GB RAM).

Maybe, it is a firmware issue. Is there anyone with the same problem?
mac4ever
 
Posts: 3
Joined: 27. Dec 2012, 16:14

Re: Impossible to install latest 4.2.6 on Mac OS X

Postby JeromeC » 27. Dec 2012, 16:42

Good point : I forgot to mention I'm using latest Mac OS X Mountain Lion version available on an iMac (27p late 2009 + i7 + 16 GB )
JeromeC
 
Posts: 5
Joined: 26. Dec 2012, 01:02

Re: Impossible to install latest 4.2.6 on Mac OS X

Postby mac4ever » 27. Dec 2012, 16:58

Yes, the latest version of Mountain Lion 10.8.2 here.

The log file shows:

Dec 27 15:52:40 Mac-mini-Arbeitsrechner-2.local installd[2873]: PackageKit: Install Failed: Error Domain=PKInstallErrorDomain Code=112 "An error occurred while running scripts from the package “VirtualBox.pkg”." UserInfo=0x7f9fc2b00920 {NSFilePath=./postflight, NSURL=file://localhost/Volumes/VirtualBox/VirtualBox.pkg#VirtualBox.pkg, PKInstallPackageIdentifier=org.virtualbox.pkg.virtualbox, NSLocalizedDescription=An error occurred while running scripts from the package “VirtualBox.pkg”.} {
NSFilePath = "./postflight";
NSLocalizedDescription = "An error occurred while running scripts from the package \U201cVirtualBox.pkg\U201d.";
NSURL = "file://localhost/Volumes/VirtualBox/VirtualBox.pkg#VirtualBox.pkg";
PKInstallPackageIdentifier = "org.virtualbox.pkg.virtualbox";
}
Dec 27 15:52:40 Mac-mini-Arbeitsrechner-2.local Installer[2861]: install:didFailWithError:Error Domain=PKInstallErrorDomain Code=112 "An error occurred while running scripts from the package “VirtualBox.pkg”." UserInfo=0x7fc89b012630 {NSFilePath=./postflight, NSURL=file://localhost/Volumes/VirtualBox/VirtualBox.pkg#VirtualBox.pkg, PKInstallPackageIdentifier=org.virtualbox.pkg.virtualbox, NSLocalizedDescription=An error occurred while running scripts from the package “VirtualBox.pkg”.}
Dec 27 15:52:41 Mac-mini-Arbeitsrechner-2.local Installer[2861]: Install failed: Die Installation ist aufgrund eines Fehlers fehlgeschlagen. Wenden Sie sich an den Hersteller der Software.
Dec 27 15:52:41 Mac-mini-Arbeitsrechner-2.local Installer[2861]: IFDInstallController 99041870 state = 7
Dec 27 15:52:41 Mac-mini-Arbeitsrechner-2.local Installer[2861]: Displaying 'Install Failed' UI.
mac4ever
 
Posts: 3
Joined: 27. Dec 2012, 16:14

Re: Impossible to install latest 4.2.6 on Mac OS X

Postby JongAm Park » 27. Dec 2012, 21:47

Yeah.. due to this problem, I wasted whole day yesterday.
Once this happened, even though older version is tried to be installed again, it may present the same error message. ( I tried and noticed it. )

But fortunately I could install it.
Just like me, probably you have an older version installed.
In its DMG file, there is an uninstaller. Try to double click it, then it will try to remove all the files installed.
If you already tried to install the latest 4.2.6 version, it's OK. just double-click its "uninstaller" script.

It will enlist all the files which were installed and ask you with possible answers, Yes and No.
Try to copy the list of installed files for later reference.

Then it may complain that kext for USB like VirtualUSB or something like that name couldn't be unloaded.
Try to double-click the uninstaller once again for being sure. This it may not complain anymore.
If it still complains about the USB ( and there is one more thing. ), it's OK.
You can check all the files were removed from the original location by looking up the "list" saved above.

Then, try "cold" booting for being sure. What I mean is to shutdown thus to have your computer turned off . And turn on.
Sometimes "warm" booting looks to leave something in memory or wherever and it looks to affect. (warm booting is to "restart". not by turning off the power but by pressing "restart" menu item.

Then you would be able to install the 4.2.6 version.
JongAm Park
 
Posts: 4
Joined: 27. Dec 2012, 21:36

Re: Impossible to install latest 4.2.6 on Mac OS X

Postby mac4ever » 29. Dec 2012, 19:05

Good expertise and many thanks, you have helped me (and others for sure) a lot.

But there was another problem to be solved: The uninstaller shell script did'nt run successfully at first: a false sudo mode and it needs root permissions.
I first had to activate the root user in MacOSX [ http://support.apple.com/kb/PH11331?viewlocale=en_US ] and then to change the sudo mode with

chmod 0440 /etc/sudoers

Eventually you have to identify yourself as a superuser before with

su -

and input the password. Finally the script worked without an error, and then the Installation worked successfully.

I am grateful for the opportunity to meet experts here. But which normal user shall cope with such problems? A normal Mac user doesn't even know what a "root" is, if he isn't a computer specialist.
mac4ever
 
Posts: 3
Joined: 27. Dec 2012, 16:14

Re: Impossible to install latest 4.2.6 on Mac OS X

Postby noteirak » 29. Dec 2012, 20:10

mac4ever wrote:I am grateful for the opportunity to meet experts here. But which normal user shall cope with such problems? A normal Mac user doesn't even know what a "root" is, if he isn't a computer specialist.

I believe - and this is only my personal opinion on the matter - no regular user being unknown to the root concept should try virtualisation (or use a computer) without some kind of support behind.
HyperBox - Open-source Entreprise Virtualization Manager - http://hyperbox.altherian.org
Manage your VirtualBox infrastructure the free way!
noteirak
Site Moderator
 
Posts: 3372
Joined: 13. Jan 2012, 11:14
Primary OS: Debian other
VBox Version: OSE Debian
Guest OSses: Debian, Win 2k8, Win 7

Re: Impossible to install latest 4.2.6 on Mac OS X

Postby JeromeC » 5. Jan 2013, 20:56

Thanks for the answers, I didn't follow up because I actually need VB in order to run a boinc project Test4Theory that actually runs a VB virtual machine behind, and it turns out that the latest beta application is failing with 4.2.6, so anyway I need to be back in 4.2.4...

But as soon as it's ok with this version and this application (ie they fix the problem), I'll have the issue again. I find hard to believe we have to manually play around with sudo to be able to install it, this is clearly a bug in the in the installer that needs to be fixed by virtual box / Oracle.
JeromeC
 
Posts: 5
Joined: 26. Dec 2012, 01:02

Re: Impossible to install latest 4.2.6 on Mac OS X

Postby noteirak » 5. Jan 2013, 22:17

JeromeC wrote:I find hard to believe we have to manually play around with sudo to be able to install it, this is clearly a bug in the in the installer that needs to be fixed by virtual box / Oracle.

You are going in deep end here, this kind of subject has been going on for years & years, and is one of the pillar fondation of a unix/linux environement, from which OSX is derivated.
HyperBox - Open-source Entreprise Virtualization Manager - http://hyperbox.altherian.org
Manage your VirtualBox infrastructure the free way!
noteirak
Site Moderator
 
Posts: 3372
Joined: 13. Jan 2012, 11:14
Primary OS: Debian other
VBox Version: OSE Debian
Guest OSses: Debian, Win 2k8, Win 7

Re: Impossible to install latest 4.2.6 on Mac OS X

Postby cah329a » 11. Jan 2013, 19:17

mac4ever wrote:I have a similar issue: VB can be installed flawless on my 2011 i5 Mac mini (2,3 GHz, 4 GB RAM), but the same installation ends with an error on my brandnew 2012 i7 Mac mini (2,6 GHz, 16 GB RAM).

Maybe, it is a firmware issue. Is there anyone with the same problem?


Yes, I have this same problem. 2012 Mac mini (two months old). It's actually worse than that: I can't even open the DMG. It seems to go through the whole extraction process and then tells me the DMG is corrupted.

I'm still at 10.8.1 because 10.8.2 won't download to my Mini.

Cindy
cah329a
 
Posts: 3
Joined: 23. Aug 2010, 21:32
Primary OS: Mac OS X other
VBox Version: OSE Debian
Guest OSses: WinXP-SP3

Re: Impossible to install latest 4.2.6 on Mac OS X

Postby cah329a » 11. Jan 2013, 19:20

cah329a wrote:
mac4ever wrote:I have a similar issue: VB can be installed flawless on my 2011 i5 Mac mini (2,3 GHz, 4 GB RAM), but the same installation ends with an error on my brandnew 2012 i7 Mac mini (2,6 GHz, 16 GB RAM).

Maybe, it is a firmware issue. Is there anyone with the same problem?


Yes, I have this same problem. 2012 Mac mini (two months old). It's actually worse than that: I can't even open the DMG. It seems to go through the whole extraction process and then tells me the DMG is corrupted.

I'm still at 10.8.1 because 10.8.2 won't download to my Mini.


And I should also have said that it DID install successfully on my MacBook Pro (2012 version, 10.8.2), but I had to use the uninstall script first to make it work. That hasn't been necessary in the past, but it's certainly good practice for software like this :-)

Cindy
cah329a
 
Posts: 3
Joined: 23. Aug 2010, 21:32
Primary OS: Mac OS X other
VBox Version: OSE Debian
Guest OSses: WinXP-SP3

Re: Impossible to install latest 4.2.6 on Mac OS X

Postby JeromeC » 12. Jan 2013, 00:57

Well, if "good practice" for Mac OS app becomes "good old Windows X good practices", I'm gonna quit.

Ok let's not troll here and overreact, right, but still, I never do such things on my Mac since I switched to Mac OS 5 years ago, after 20 years of DOS/WIN life at home... (and I still have to live with XP / Vista at the office...)
JeromeC
 
Posts: 5
Joined: 26. Dec 2012, 01:02

Re: Impossible to install latest 4.2.6 on Mac OS X

Postby JeromeC » 4. Mar 2013, 23:17

Well I had issues installing 4.2.8 on Mac OS X also, it would crash in the middle + it would corrupt the currently installed 4.2.4 VB that I had, so I was actually (and finally) forced to use a Mac OS X uninstsaller (CleanApp) to be able to install it successfully...
JeromeC
 
Posts: 5
Joined: 26. Dec 2012, 01:02


Return to VirtualBox on Mac OS X Hosts

Who is online

Users browsing this forum: No registered users and 26 guests